recode <- function(var, from, to){
x <- as.vector(var)
x.tmp <- x
for (i in 1:length(from)){x <- replace(x, x.tmp == from[i], to[i])}
if(is.factor(var)) factor(x) else x}

lr <- read.table("../data/2004/lr04.dat", h=T, sep=";")
str(lr)
summary(lr)

paste(lr$N.OBOR, "/", lr$N.LIS, sep="")
ff <- paste(lr$N.OBOR, "/", lr$N.LIS, sep="")

table(lr$SPECIES, ff)
tf <- table(lr$SPECIES, ff)

apply(tf, 1, function(x) round((x/sum(x))*100, 2))

sl <- read.table("../data/2004/slx-lr04.dat", h=T, sep=";")
str(sl)
summary(sl)

paste(sl$N.OBOR, "/", sl$N.LIS, sep="")
ss <- paste(sl$N.OBOR, "/", sl$N.LIS, sep="")

table(sl$N.POB, ss)
summary(table(sl$N.POB, ss))

#   2/4:
table(sl$N.POB, ss)[,5]
chisq.test(table(sl$N.POB, ss)[,5])

#  /:
table(sl$GENER, ss)
summary(table(sl$GENER, ss))

#     

tmp <- recode(sl$N.VETK, 1:79, table(sl$N.VETK))
otn <- (sl$N.POB/tmp)
summary(table(cut(otn, 5), ss))
table(cut(otn, 5), ss)
dotchart(table(cut(otn, 5), ss), cex=.7)

#  -     

summary(table(cut(sl$DL.POB, 2), ss))
table(cut(sl$DL.POB, 2), ss)
